### Hierarchy

- DataView

## Index

### Methods

- getBigInt64
- getBigUint64
- setBigInt64
- setBigUint64

## Methods

### getBigInt64

- getBigInt64(byteOffset: number, littleEndian?: undefined | false | true): bigint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:603

  Gets the BigInt64 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns bigint

### getBigUint64

- getBigUint64(byteOffset: number, littleEndian?: undefined | false | true): bigint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:610

  Gets the BigUint64 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns bigint

### setBigInt64

- setBigInt64(byteOffset: number, value: bigint, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:619

  Stores a BigInt64 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: bigint

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setBigUint64

- setBigUint64(byteOffset: number, value: bigint, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:628

  Stores a BigUint64 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: bigint

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

Generated using TypeDoc